{
    template:'${tmpl}',
    data:function(){
        return {
          multipleSelection: [],
          isSingleSelect:false,
          content:"hello",
        }
    },
    mounted:function(){

    },
    created:function(){
      /*console.log("xxxxxxxxxxxxxxxxxxxxyyy");
      this.$store.commit('increment');
      console.log(this.count);
      console.log("xxxxxxxxxxxxxxxxxxxxyyy");*/
    },
    methods:{
       handleSelectionChange:function(val){
         this.multipleSelection = val;
         console.log(val);
       },
       headerCellStyle:function(){
         return {"background-color":"red"};
       },
       rowClick:function(row,k){
         console.log("row click........................");
         if(k=="invalidate"){
           this.$root.postReq("/web/cacheCtl/delCache",{key:row.name}).then(d=>{
             this.$refs.grd.fetchData();
           });
         }
       },
       barClick:function(k,t){
         if(k=="clearAll"){
           this.$confirm('此操作将清空所有缓存, 是否继续?', '提示', {
            confirmButtonText: '确定',
            cancelButtonText: '取消',
            type: 'warning'
          }).then(()=>{
            this.$root.postReq("/web/cacheCtl/clearAllCache",{ok:""}).then(d=>{
              this.$refs.grd.fetchData();
            });
          });
         }
       }
    },
    computed: Vuex.mapState({
      count:state=>state.count,
      headStyle:function(){
        return {"background-color":"white"};
      }
    }),
    vname:"gsb-cachearches"
}
